freeslot("SPR2_SUSP", "SPR2_SUSD",
"sfx_aawitn", "sfx_aaxmnt", "sfx_aatrns", "sfx_aaobje")

spr2defaults[SPR2_SUSP] = SPR2_XTRA
spr2defaults[SPR2_SUSD] = SPR2_XTRA

sfxinfo[sfx_aawitn].caption = "/"
sfxinfo[sfx_aaxmnt].caption = "/"
sfxinfo[sfx_aatrns].caption = "/"
sfxinfo[sfx_aaobje].caption = "/"

rawset(_G, "testimonyprogress", 0)
rawset(_G, "examinationprogress", 0)
rawset(_G, "shoutprogress", 0)
rawset(_G, "shoutwarn", true)
rawset(_G, "shoutallowed", "on")
rawset(_G, "recolorcutins", true)

COM_AddCommand("recolorcutins", function(p, arg)
	if not arg then
		CONS_Printf(p, "\x82recolorcutins\x80 - Allow the witness testimony cut-in and the shout bubbles to be recolored. Boolean.")
	elseif not (arg == "off" or arg == "on" or arg == "yes" or arg == "no" or arg == "y" or arg == "n" or arg == "1" or arg == "0" or arg == "true" or arg == "false") then
		CONS_Printf(p, "Invalid argument.")
	end
	
	if (arg == "off" or arg == "no" or arg == "n" or arg == "0" or arg == "false") then
		recolorcutins = false
		CONS_Printf(p, "Cut-ins can not be recolored.")
	elseif (arg == "on" or arg == "yes" or arg == "y" or arg == "1" or arg == "true") then
		recolorcutins = true
		CONS_Printf(p, "Cut-ins can now be recolored.")
	end
end, COM_ADMIN)